Generation Framework

## org.eclipse.gmf.codegen.gmfgen.provider
Class GenDiagramItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.gmf.codegen.gmfgen.provider.GenCommonBaseItemProvider
                  org.eclipse.gmf.codegen.gmfgen.provider.GenDiagramItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class GenDiagramItemProvider

extends GenCommonBaseItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

This is the item provider adapter for a `GenDiagram` object.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`GenDiagramItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `addBaseEditHelperClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Base Edit Helper Class Name feature
`protected void` `addBaseExternalNodeLabelEditPartClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Base External Node Label Edit Part Class Name feature
`protected void` `addBaseItemSemanticEditPolicyClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Base Item Semantic Edit Policy Class Name feature
`protected void` `addCanonicalEditPolicyClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Canonical Edit Policy Class Name feature
`protected void` `addContainsShortcutsToPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Contains Shortcuts To feature
`protected void` `addContributionItemProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Contribution Item Provider Class Name feature
`protected void` `addCreateShortcutActionClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Create Shortcut Action Class Name feature
`protected void` `addCreateShortcutDecorationsCommandClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Create Shortcut Decorations Command Class Name feature
`protected void` `addCreationWizardCategoryIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Wizard Category ID feature
`protected void` `addCreationWizardClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Wizard Class Name feature
`protected void` `addCreationWizardIconPathPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Wizard Icon Path feature
`protected void` `addCreationWizardIconPathXPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Wizard Icon Path X feature
`protected void` `addCreationWizardPageClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Wizard Page Class Name feature
`protected void` `addDiagramContentInitializerClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Diagram Content Initializer Class Name feature
`protected void` `addDiagramEditorUtilClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Diagram Editor Util Class Name feature
`protected void` `addDocumentProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Document Provider Class Name feature
`protected void` `addDomainDiagramElementPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Domain Diagram Element feature
`protected void` `addEditCommandsPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Commands Package Name feature
`protected void` `addEditHelpersPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Helpers Package Name feature
`protected void` `addEditingDomainIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Editing Domain ID feature
`protected void` `addEditPartFactoryClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Part Factory Class Name feature
`protected void` `addEditPartProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Part Provider Class Name feature
`protected void` `addEditPartProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Part Provider Priority feature
`protected void` `addEditPartsPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Parts Package Name feature
`protected void` `addEditPoliciesPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Policies Package Name feature
`protected void` `addElementChooserClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Element Chooser Class Name feature
`protected void` `addElementTypesClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Element Types Class Name feature
`protected void` `addIconProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Icon Provider Class Name feature
`protected void` `addIconProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Icon Provider Priority feature
`protected void` `addInitDiagramFileActionClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Init Diagram File Action Class Name feature
`protected void` `addLiveValidationUIFeedbackPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Live Validation UI Feedback feature
`protected void` `addLoadResourceActionClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Load Resource Action Class Name feature
`protected void` `addMarkerNavigationProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Marker Navigation Provider Class Name feature
`protected void` `addMarkerNavigationProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Marker Navigation Provider Priority feature
`protected void` `addMatchingStrategyClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Matching Strategy Class Name feature
`protected void` `addMetricProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Metric Provider Class Name feature
`protected void` `addMetricProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Metric Provider Priority feature
`protected void` `addModelingAssistantProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Modeling Assistant Provider Class Name feature
`protected void` `addModelingAssistantProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Modeling Assistant Provider Priority feature
`protected void` `addNewDiagramFileWizardClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the New Diagram File Wizard Class Name feature
`protected void` `addNotationViewFactoriesPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Notation View Factories Package Name feature
`protected void` `addNotationViewProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Notation View Provider Class Name feature
`protected void` `addNotationViewProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Notation View Provider Priority feature
`protected void` `addParserProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Parser Provider Class Name feature
`protected void` `addParserProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Parser Provider Priority feature
`protected void` `addParsersPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Parsers Package Name feature
`protected void` `addPreferencesPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Preferences Package Name feature
`protected void` `addProvidersPackageNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Providers Package Name feature
`protected void` `addReorientConnectionViewCommandClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Reorient Connection View Command Class Name feature
`protected void` `addShortcutPropertyTesterClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Shortcut Property Tester Class Name feature
`protected void` `addShortcutsDecoratorProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Shortcuts Decorator Provider Class Name feature
`protected void` `addShortcutsDecoratorProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Shortcuts Decorator Provider Priority feature
`protected void` `addShortcutsProvidedForPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Shortcuts Provided For feature
`protected void` `addSynchronizedPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Synchronized feature
`protected void` `addTextNonResizableEditPolicyClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Text Non Resizable Edit Policy Class Name feature
`protected void` `addTextSelectionEditPolicyClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Text Selection Edit Policy Class Name feature
`protected void` `addUnitsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Units feature
`protected void` `addValidationDecoratorProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Decorator Provider Class Name feature
`protected void` `addValidationDecoratorProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Decorator Provider Priority feature
`protected void` `addValidationDecoratorsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Decorators feature
`protected void` `addValidationEnabledPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Enabled feature
`protected void` `addValidationProviderClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Provider Class Name feature
`protected void` `addValidationProviderPriorityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Validation Provider Priority feature
`protected void` `addVisualIDRegistryClassNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Visual ID Registry Class Name feature
`protected void` `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object
`protected org.eclipse.emf.ecore.EStructuralFeature` `getChildFeature(java.lang.Object object, java.lang.Object child)`

`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`

`java.lang.Object` `getImage(java.lang.Object object)` This returns GenDiagram.gif
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.provider.GenCommonBaseItemProvider
`addDiagramRunTimeClassPropertyDescriptor, addEditPartClassNamePropertyDescriptor, addItemSemanticEditPolicyClassNamePropertyDescriptor, addNotationViewFactoryClassNamePropertyDescriptor, addSansDomainPropertyDescriptor, addStylesPropertyDescriptor, addVisualIDPropertyDescriptor, getResourceLocator`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### GenDiagramItemProvider

    public GenDiagramItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

  ** Generated **

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `GenCommonBaseItemProvider`
  ** Generated **

### addDomainDiagramElementPropertyDescriptor

    protected void addDomainDiagramElementPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Domain Diagram Element feature.

  ** Generated **

### addSynchronizedPropertyDescriptor

    protected void addSynchronizedPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Synchronized feature.

  ** Generated **

### addEditCommandsPackageNamePropertyDescriptor

    protected void addEditCommandsPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Commands Package Name feature.

  ** Generated **

### addEditHelpersPackageNamePropertyDescriptor

    protected void addEditHelpersPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Helpers Package Name feature.

  ** Generated **

### addEditPartsPackageNamePropertyDescriptor

    protected void addEditPartsPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Parts Package Name feature.

  ** Generated **

### addEditPoliciesPackageNamePropertyDescriptor

    protected void addEditPoliciesPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Policies Package Name feature.

  ** Generated **

### addPreferencesPackageNamePropertyDescriptor

    protected void addPreferencesPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Preferences Package Name feature.

  ** Generated **

### addVisualIDRegistryClassNamePropertyDescriptor

    protected void addVisualIDRegistryClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Visual ID Registry Class Name feature.

  ** Generated **

### addCreateShortcutActionClassNamePropertyDescriptor

    protected void addCreateShortcutActionClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Create Shortcut Action Class Name feature.

  ** Generated **

### addCreateShortcutDecorationsCommandClassNamePropertyDescriptor

    protected void addCreateShortcutDecorationsCommandClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Create Shortcut Decorations Command Class Name feature.

  ** Generated **

### addShortcutPropertyTesterClassNamePropertyDescriptor

    protected void addShortcutPropertyTesterClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Shortcut Property Tester Class Name feature.

  ** Generated **

### addElementChooserClassNamePropertyDescriptor

    protected void addElementChooserClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Element Chooser Class Name feature.

  ** Generated **

### addLoadResourceActionClassNamePropertyDescriptor

    protected void addLoadResourceActionClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Load Resource Action Class Name feature.

  ** Generated **

### addEditingDomainIDPropertyDescriptor

    protected void addEditingDomainIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Editing Domain ID feature.

  ** Generated **

### addShortcutsDecoratorProviderClassNamePropertyDescriptor

    protected void addShortcutsDecoratorProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Shortcuts Decorator Provider Class Name feature.

  ** Generated **

### addShortcutsDecoratorProviderPriorityPropertyDescriptor

    protected void addShortcutsDecoratorProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Shortcuts Decorator Provider Priority feature.

  ** Generated **

### addContainsShortcutsToPropertyDescriptor

    protected void addContainsShortcutsToPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Contains Shortcuts To feature.

  ** Generated **

### addShortcutsProvidedForPropertyDescriptor

    protected void addShortcutsProvidedForPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Shortcuts Provided For feature.

  ** Generated **

### addValidationProviderClassNamePropertyDescriptor

    protected void addValidationProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Provider Class Name feature.

  ** Generated **

### addValidationProviderPriorityPropertyDescriptor

    protected void addValidationProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Provider Priority feature.

  ** Generated **

### addMarkerNavigationProviderClassNamePropertyDescriptor

    protected void addMarkerNavigationProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Marker Navigation Provider Class Name feature.

  ** Generated **

### addMarkerNavigationProviderPriorityPropertyDescriptor

    protected void addMarkerNavigationProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Marker Navigation Provider Priority feature.

  ** Generated **

### addValidationEnabledPropertyDescriptor

    protected void addValidationEnabledPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Enabled feature.

  ** Generated **

### addMetricProviderClassNamePropertyDescriptor

    protected void addMetricProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Metric Provider Class Name feature.

  ** Generated **

### addMetricProviderPriorityPropertyDescriptor

    protected void addMetricProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Metric Provider Priority feature.

  ** Generated **

### addValidationDecoratorProviderClassNamePropertyDescriptor

    protected void addValidationDecoratorProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Decorator Provider Class Name feature.

  ** Generated **

### addValidationDecoratorsPropertyDescriptor

    protected void addValidationDecoratorsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Decorators feature.

  ** Generated **

### addValidationDecoratorProviderPriorityPropertyDescriptor

    protected void addValidationDecoratorProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Validation Decorator Provider Priority feature.

  ** Generated **

### addLiveValidationUIFeedbackPropertyDescriptor

    protected void addLiveValidationUIFeedbackPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Live Validation UI Feedback feature.

  ** Generated **

### addUnitsPropertyDescriptor

    protected void addUnitsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Units feature.

  ** Generated **

### addProvidersPackageNamePropertyDescriptor

    protected void addProvidersPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Providers Package Name feature.

  ** Generated **

### addParsersPackageNamePropertyDescriptor

    protected void addParsersPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Parsers Package Name feature.

  ** Generated **

### addNotationViewFactoriesPackageNamePropertyDescriptor

    protected void addNotationViewFactoriesPackageNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Notation View Factories Package Name feature.

  ** Generated **

### addDocumentProviderClassNamePropertyDescriptor

    protected void addDocumentProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Document Provider Class Name feature.

  ** Generated **

### addEditPartFactoryClassNamePropertyDescriptor

    protected void addEditPartFactoryClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Part Factory Class Name feature.

  ** Generated **

### addBaseExternalNodeLabelEditPartClassNamePropertyDescriptor

    protected void addBaseExternalNodeLabelEditPartClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Base External Node Label Edit Part Class Name feature.

  ** Generated **

### addBaseItemSemanticEditPolicyClassNamePropertyDescriptor

    protected void addBaseItemSemanticEditPolicyClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Base Item Semantic Edit Policy Class Name feature.

  ** Generated **

### addCanonicalEditPolicyClassNamePropertyDescriptor

    protected void addCanonicalEditPolicyClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Canonical Edit Policy Class Name feature.

  ** Generated **

### addTextSelectionEditPolicyClassNamePropertyDescriptor

    protected void addTextSelectionEditPolicyClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Text Selection Edit Policy Class Name feature.

  ** Generated **

### addTextNonResizableEditPolicyClassNamePropertyDescriptor

    protected void addTextNonResizableEditPolicyClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Text Non Resizable Edit Policy Class Name feature.

  ** Generated **

### addElementTypesClassNamePropertyDescriptor

    protected void addElementTypesClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Element Types Class Name feature.

  ** Generated **

### addNotationViewProviderClassNamePropertyDescriptor

    protected void addNotationViewProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Notation View Provider Class Name feature.

  ** Generated **

### addNotationViewProviderPriorityPropertyDescriptor

    protected void addNotationViewProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Notation View Provider Priority feature.

  ** Generated **

### addReorientConnectionViewCommandClassNamePropertyDescriptor

    protected void addReorientConnectionViewCommandClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Reorient Connection View Command Class Name feature.

  ** Generated **

### addBaseEditHelperClassNamePropertyDescriptor

    protected void addBaseEditHelperClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Base Edit Helper Class Name feature.

  ** Generated **

### addInitDiagramFileActionClassNamePropertyDescriptor

    protected void addInitDiagramFileActionClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Init Diagram File Action Class Name feature.

  ** Generated **

### addNewDiagramFileWizardClassNamePropertyDescriptor

    protected void addNewDiagramFileWizardClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the New Diagram File Wizard Class Name feature.

  ** Generated **

### addDiagramContentInitializerClassNamePropertyDescriptor

    protected void addDiagramContentInitializerClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Diagram Content Initializer Class Name feature.

  ** Generated **

### addCreationWizardClassNamePropertyDescriptor

    protected void addCreationWizardClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Wizard Class Name feature.

  ** Generated **

### addCreationWizardPageClassNamePropertyDescriptor

    protected void addCreationWizardPageClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Wizard Page Class Name feature.

  ** Generated **

### addCreationWizardIconPathPropertyDescriptor

    protected void addCreationWizardIconPathPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Wizard Icon Path feature.

  ** Generated **

### addCreationWizardIconPathXPropertyDescriptor

    protected void addCreationWizardIconPathXPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Wizard Icon Path X feature.

  ** Generated **

### addCreationWizardCategoryIDPropertyDescriptor

    protected void addCreationWizardCategoryIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Wizard Category ID feature.

  ** Generated **

### addDiagramEditorUtilClassNamePropertyDescriptor

    protected void addDiagramEditorUtilClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Diagram Editor Util Class Name feature.

  ** Generated **

### addMatchingStrategyClassNamePropertyDescriptor

    protected void addMatchingStrategyClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Matching Strategy Class Name feature.

  ** Generated **

### addEditPartProviderClassNamePropertyDescriptor

    protected void addEditPartProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Part Provider Class Name feature.

  ** Generated **

### addEditPartProviderPriorityPropertyDescriptor

    protected void addEditPartProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Part Provider Priority feature.

  ** Generated **

### addModelingAssistantProviderClassNamePropertyDescriptor

    protected void addModelingAssistantProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Modeling Assistant Provider Class Name feature.

  ** Generated **

### addModelingAssistantProviderPriorityPropertyDescriptor

    protected void addModelingAssistantProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Modeling Assistant Provider Priority feature.

  ** Generated **

### addIconProviderClassNamePropertyDescriptor

    protected void addIconProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Icon Provider Class Name feature.

  ** Generated **

### addIconProviderPriorityPropertyDescriptor

    protected void addIconProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Icon Provider Priority feature.

  ** Generated **

### addParserProviderClassNamePropertyDescriptor

    protected void addParserProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Parser Provider Class Name feature.

  ** Generated **

### addParserProviderPriorityPropertyDescriptor

    protected void addParserProviderPriorityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Parser Provider Priority feature.

  ** Generated **

### addContributionItemProviderClassNamePropertyDescriptor

    protected void addContributionItemProviderClassNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Contribution Item Provider Class Name feature.

  ** Generated **

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `GenCommonBaseItemProvider`
  ** Generated **

### getChildFeature

    protected org.eclipse.emf.ecore.EStructuralFeature getChildFeature(java.lang.Object object,
                                                                       java.lang.Object child)

  Overrides:
    `getChildFeature` in class `GenCommonBaseItemProvider`
  ** Generated **

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns GenDiagram.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`
  ** Generated **

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `GenCommonBaseItemProvider`
  ** Generated **

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `GenCommonBaseItemProvider`
  ** Generated **

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds `CommandParameter`s describing the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `GenCommonBaseItemProvider`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.